Loading...
Searching...
No Matches
gx_system::PresetFileGui Class Reference

`#include <gx_json.h>`

Inheritance diagram for gx_system::PresetFileGui:

## Public Member Functions

| operator PresetFile * ()
const SettingsFileHeader & | get_header ()
int | size ()
void | fill_names (vector< Glib::ustring > &)
const Glib::ustring & | get_name (int n)
const Glib::ustring & | get_name () const
int | get_index (const Glib::ustring &name)
bool | has_entry (const Glib::ustring &name)
int | get_flags () const
int | get_type () const
iterator | begin ()
iterator | end ()
bool | is_moveable () const
bool | is_mutable () const

## Private Member Functions

| PresetFileGui ()
| ~PresetFileGui ()
Private Member Functions inherited from gx_system::PresetFile
| PresetFile ()
| ~PresetFile ()
void | readJSON_remote (JsonParser &jp)
void | writeJSON_remote (JsonWriter &jw)
bool | open_file (const Glib::ustring &name, const std::string &path, int tp, int flags)
bool | create_file (const Glib::ustring &name, const std::string &path, int tp, int flags)
bool | set_factory (const Glib::ustring &name_, const std::string &path)
bool | readJSON (const std::string &dirpath, JsonParser &jp, bool *mtime_diff)
void | writeJSON (JsonWriter &jw)
void | reopen ()
void | open (const std::string &fname)
void | close ()
bool | fail ()
bool | ensure_is_current ()
void | check_flags ()
const std::string & | get_filename () const
const SettingsFileHeader & | get_header ()
int | size ()
void | fill_names (vector< Glib::ustring > &)
const Glib::ustring & | get_name (int n)
int | get_index (const Glib::ustring &name)
JsonParser * | create_reader (int n)
JsonParser * | create_reader (const Glib::ustring &name)
JsonWriter * | create_writer (int n)
JsonWriter * | create_writer (const Glib::ustring &name)
JsonWriter * | create_writer_at (const Glib::ustring &pos, const Glib::ustring &name)
PresetTransformer * | create_transformer ()
bool | clear ()
bool | erase (const Glib::ustring &name)
bool | rename (const Glib::ustring &name, Glib::ustring newname)
bool | has_entry (const Glib::ustring &name)
void | append (const Glib::ustring &name)
void | insert_before (const Glib::ustring &nm, const Glib::ustring &newentry)
void | insert_after (const Glib::ustring &nm, const Glib::ustring &newentry)
int | get_flags () const
void | set_flags (int f)
void | set_flag (int flag, bool v)
int | get_type () const
const Glib::ustring & | get_name () const
bool | set_name (const Glib::ustring &n, const std::string &newfile)
bool | remove_file ()
iterator | begin ()
iterator | end ()
bool | is_moveable () const
bool | is_mutable () const
PresetFileGui * | get_guiwrapper ()
bool | is_newer (time_t m)
void | open ()

## Friends

class | PresetFile
class | gx_engine::GxMachine
class | gx_engine::GxMachineRemote

## Additional Inherited Members

Private Types inherited from gx_system::PresetFile
enum | { PRESET_SEP = -1 , PRESET_SCRATCH = 0 , PRESET_FILE = 1 , PRESET_FACTORY = 2 }
typedef std::vector< Position >::iterator | iterator
Private Attributes inherited from gx_system::PresetFile
std::string | filename
ifstream * | is
time_t | mtime
SettingsFileHeader | header
std::vector< Position > | entries
Glib::ustring | name
int | tp
int | flags

## Detailed Description

Definition at line 373 of file gx_json.h.

## Constructor & Destructor Documentation

## PresetFileGui()

gx_system::PresetFileGui::PresetFileGui | ( |  | ) |

private

## ~PresetFileGui()

gx_system::PresetFileGui::~PresetFileGui | ( |  | ) |

private

## Member Function Documentation

## begin()

iterator gx_system::PresetFile::begin | ( |  | ) |

## end()

iterator gx_system::PresetFile::end | ( |  | ) |

inline

Definition at line 366 of file gx_json.h.

## fill_names()

void gx_system::PresetFile::fill_names | ( | vector< Glib::ustring > & |  | ) |

## get_flags()

int gx_system::PresetFile::get_flags | ( |  | ) | const

inline

Definition at line 358 of file gx_json.h.

## get_header()

const SettingsFileHeader & gx_system::PresetFile::get_header | ( |  | ) |

## get_index()

int gx_system::PresetFile::get_index | ( | const Glib::ustring & | name | ) |

## get_name() [1/2]

const Glib::ustring & gx_system::PresetFile::get_name | ( |  | ) | const

inline

Definition at line 362 of file gx_json.h.

## get_name() [2/2]

const Glib::ustring & gx_system::PresetFile::get_name | ( | int | n | ) |

## get_type()

int gx_system::PresetFile::get_type | ( |  | ) | const

inline

Definition at line 361 of file gx_json.h.

## has_entry()

bool gx_system::PresetFile::has_entry | ( | const Glib::ustring & | name | ) |

inline

Definition at line 354 of file gx_json.h.

## is_moveable()

bool gx_system::PresetFile::is_moveable | ( |  | ) | const

inline

Definition at line 367 of file gx_json.h.

## is_mutable()

bool gx_system::PresetFile::is_mutable | ( |  | ) | const

inline

Definition at line 368 of file gx_json.h.

## operator PresetFile *()

gx_system::PresetFileGui::operator PresetFile * | ( |  | ) |

inline

Definition at line 393 of file gx_json.h.

## size()

int gx_system::PresetFile::size | ( |  | ) |

## Friends And Related Symbol Documentation

## gx_engine::GxMachine

friend class gx_engine::GxMachine

friend

Definition at line 378 of file gx_json.h.

## gx_engine::GxMachineRemote

friend class gx_engine::GxMachineRemote

friend

Definition at line 379 of file gx_json.h.

## PresetFile

friend class PresetFile

friend

Definition at line 377 of file gx_json.h.

Referenced by operator PresetFile *(), and PresetFile.

The documentation for this class was generated from the following file:

- src/headers/gx_json.h